package jiaowuxitong

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/community/src/gonganxitong"
	"shylinux.com/x/education/src/jiaowuxitong/model"
)

type homework struct {
	Table
	Class  Class
	user   gonganxitong.User
	portal string `data:"true"`
	create string `name:"create content*" role:"void"`
}

func (s homework) Create(m *ice.Message, arg ...string) {
	s.Table.Create(m, kit.Simple(arg, m.OptionSimple(model.USER_UID, model.CLASS_UID))...)
}
func (s homework) List(m *ice.Message, arg ...string) {
	if len(arg) == 0 {
		if m.IsTech() {
			s.Table.Select(m)
		}
	} else if len(arg) == 1 {
		s.Table.Select(m, model.CLASS_UID, arg[0])
	} else {
		s.Table.Select(m.FieldsSetDetail(), model.UID, arg[1])
	}
	s.SelectJoin(m, s.user, "name", "avatar").Display("").DisplayCSS("")
}

func init() { ice.TeamCtxCmd(homework{}) }
